# <p align="center"> tsshapelet
<div align="center">
<p>
<img alt="GitHub" src="https://img.shields.io/github/license/gellison321/tsshapelet">
</p>
</div>

## <p align="center"> A timeseries shapelet extraction tool for python.

### <p align="center">[Install From pip](https://pypi.org/project/tsshapelet/)
```
$ pip install tsshapelet
```

### <p align="center"> [Documentation](https://github.com/gellison321/tsshapelet/blob/main/documentation.md)

### **FEATURES**

#### Timeseries Preprocessing
- Moving Average Smoothing
- Normalization
- Interpolation
- Phase Syncing

#### Shapelet Candidate Extraction Methods
- Peak Extraction using PeakUtils
- Random Extraction
- Stepped Window Extraction

#### Shapelet Creation Methods
- Exhaustive Shapelet
- Random Shapelet
- Barycenter Averaging

#### Distance Metrics
- Dynamic Time Warping
- Euclidean Distance

### **DEPENDENCIES**
- Numpy
- SciPy
- Numba

